Name:           ants
Version:        1.4
Release:        2%{?dist}.1
Summary:        Guide your ants safely home before they drop of the cliff
Group:          Amusements/Games
License:        Public Domain
URL:            http://www.allegro.cc/depot/Ants
Source0:        http://games.linux.sk/files/ants-1.4.tar.gz
Source1:        ants.desktop
Source2:        ants-level-editor.desktop
Source3:        ants.png
Source4:        license-info
Patch0:         ants-1.4-fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  allegro-devel desktop-file-utils
Requires:       hicolor-icon-theme

%description
A game inspired by the game Lemmings. You take command in the game of a bunch
of small ants and have to guide them around in levels. Since the ants walk on
their own, the player can only influence them by giving them commands, like
build a bridge, dig a hole or redirect all penguins in the other direction.
The goal of each level is to reach the exit, for which multiple combination of
commands are necessary. The game is presented in a 2D site view.


%package        level-editor
Summary:        Ants level editor
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}

%description    level-editor
This package contains a level editor for ants, notice that you must run this
at root, or change the owner of the files under %{_datadir}/%{name}, as the
level editor edits the files directly under %{_datadir}/%{name} .


%prep
%setup -q
%patch0 -p1 -z .fix
sed -i 's/\r//g' ants.txt
cp %{SOURCE4} .


%build
make %{?_smp_mflags} EXTRACFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
#no make install target, DIY
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 %{name} %{name}_le $RPM_BUILD_ROOT%{_bindir}
cp -a %{name}.dat levels1 levels2 $RPM_BUILD_ROOT%{_datadir}/%{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc Changelog ants.txt license-info
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%files level-editor
%defattr(-,root,root,-)
%{_bindir}/%{name}_le
%{_datadir}/applications/fedora-%{name}-level-editor.desktop


%changelog
* Mon May 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-2.fc7.1
- Make this 1.4-2.fc7.1 as the <beep> cvs-import.sh script tagged the fc8
  version with an fc7 tag

* Thu May 17 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-2
- Add desktop menu entry for the level editor

* Sun May 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.4-1
- Initial Fedora Extras package
